Skip to content
Navigation

Web 服务器环境预检查

Web 服务器环境预检查,用于安装或切换 Web 服务器(Nginx/Apache/OpenLiteSpeed)前验证环境。

POST
https://your-panel.example.com:8888/site
更新于 查看 Markdown

Request bodyX-WWW-FORM-URLENCODEDrequired

  • request_timestringrequired

    Unix 时间戳。

  • request_tokenstringrequired

    按 API 概览生成的签名。

  • actionwebserverpreprequired

    具体操作名称。

Returns

default

接口响应,业务状态见下方详细说明。

JSON
  • statusoptionalboolean

    true 检查完成

  • msgoptionalstring

    空字符串表示环境正常

各操作详细说明

webserverprepaction=webserverprepWeb 服务器环境预检查

Web 服务器环境预检查,用于安装或切换 Web 服务器(Nginx/Apache/OpenLiteSpeed)前验证环境。

  • 路由:POST /site
  • action:webserverprep

输入参数

参数名称 必选 类型 描述
action 是 String 固定值 webserverprep

输出参数

参数名称 类型 描述
status Boolean true 检查完成
msg String 空字符串表示环境正常

示例

{"status": true, "msg": ""}

Type to search…

↑↓ navigate↵ selectEsc close